Edit

Connections - Update Connection Role Assignment

Updates the principal's role assignment for the connection.

Note

Fabric tenant admin connection management is currently in Preview (learn more).

Permissions

The caller must be a Fabric administrator or authenticate using a service principal.

Required Delegated Scopes

Tenant.ReadWrite.All

Limitations

No additional limitations.

Microsoft Entra supported identities

This API supports the Microsoft identities listed in this section.

Identity Support
User Yes
Service principal and Managed identities Yes

Interface

PATCH https://api.fabric.microsoft.com/v1/admin/connections/{connectionId}/roleAssignments/{connectionRoleAssignmentId}

URI Parameters

Name In Required Type Description
connectionId
path True

string (uuid)

The connection ID.

connectionRoleAssignmentId
path True

string (uuid)

The ID of the connection role assignment.

Request Body

Name Required Type Description
role True

AssignableAdminConnectionRole

The connection role of the principal.

Responses

Name Type Description
200 OK

ConnectionRoleAssignment

OK. The operation was successful.

429 Too Many Requests

ErrorResponse

The service rate limit was exceeded. The server returns a Retry-After header indicating, in seconds, how long the client must wait before sending additional requests.

Headers

Retry-After: integer

Other Status Codes

ErrorResponse

Common error codes:

  • UnknownError - An error occurred.

Examples

Update connection role assignment as admin example

Sample request

PATCH https://api.fabric.microsoft.com/v1/admin/connections/fe8e181d-dbb8-471a-99f0-fdbf0a2ad4fd/roleAssignments/43970761-afc9-4428-ae6e-3b08bef098ff

{
  "role": "Owner"
}

Sample response

{
  "id": "43970761-afc9-4428-ae6e-3b08bef098ff",
  "principal": {
    "id": "43970761-afc9-4428-ae6e-3b08bef098ff",
    "type": "User"
  },
  "role": "Owner"
}

Definitions

Name Description
AssignableAdminConnectionRole

A connection role. Additional connection roles may be added over time.

ConnectionRole

A connection role. Additional connection roles may be added over time.

ConnectionRoleAssignment

The connection role assignment for a principal.

EntireTenantPrincipal

Represents a tenant principal

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

ErrorRelatedResource

The error related resource details object.

ErrorResponse

The error response.

ErrorResponseDetails

The error response details.

GroupDetails

Group specific details. Applicable when the principal type is Group.

GroupPrincipal

Represents a security group.

GroupType

The type of the group. Additional group types may be added over time.

PrincipalType

The type of the principal. Additional principal types may be added over time.

ServicePrincipalDetails

Service principal specific details. Applicable when the principal type is ServicePrincipal.

ServicePrincipalPrincipal

Represents a Microsoft Entra service principal.

ServicePrincipalProfileDetails

Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.

ServicePrincipalProfilePrincipal

Represents a service principal profile.

UpdateAdminConnectionRoleAssignmentRequest

An update connection role assignment request payload.

UserDetails

User principal specific details. Applicable when the principal type is User.

UserPrincipal

Represents a Microsoft Entra user principal.

AssignableAdminConnectionRole

A connection role. Additional connection roles may be added over time.

Value Description
Owner

Enables the principal to gain ownership of the connection. The principal is initially assigned the 'PendingOwner' role and to complete the transition to 'Owner', the principal must update the connection credentials using Update Connection API.

ConnectionRole

A connection role. Additional connection roles may be added over time.

Value Description
User

Enables user access for the connection.

UserWithReshare

Enables user with resharing access for the connection.

Owner

Enables ownership access for the connection.

PendingOwner

Ownership of the connection is not yet effective; the principal must update the connection credentials (using Update Connection API) to make it effective.

ConnectionRoleAssignment

The connection role assignment for a principal.

Name Type Description
id

string (uuid)

The object ID of the connection role assignment.

principal Principal:

The principal.

role

ConnectionRole

The connection role of the principal.

EntireTenantPrincipal

Represents a tenant principal

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

type string:

EntireTenant

The type of the principal. Additional principal types may be added over time.

ErrorParameter

A structured parameter providing additional machine-readable context about an error.

Name Type Description
message

string

A human-readable description of the parameter's meaning.

name

string

The parameter identifier.

value

string

The parameter value.

ErrorRelatedResource

The error related resource details object.

Name Type Description
resourceId

string

The resource ID that's involved in the error.

resourceType

string

The type of the resource that's involved in the error.

ErrorResponse

The error response.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

isRetriable

boolean

When true, the request can be retried. Use the Retry-After response header to determine the delay, if available.

message

string

A human readable representation of the error.

moreDetails

ErrorResponseDetails[]

List of additional error details.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

requestId

string (uuid)

ID of the request associated with the error.

ErrorResponseDetails

The error response details.

Name Type Description
errorCode

string

A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users.

message

string

A human readable representation of the error.

parameters

ErrorParameter[]

Structured parameters providing additional machine-readable context about the error.

relatedResource

ErrorRelatedResource

The error related resource details.

GroupDetails

Group specific details. Applicable when the principal type is Group.

Name Type Description
groupType

GroupType

The type of the group. Additional group types may be added over time.

GroupPrincipal

Represents a security group.

Name Type Description
displayName

string

The principal's display name.

groupDetails

GroupDetails

Group specific details. Applicable when the principal type is Group.

id

string (uuid)

The principal's ID.

type string:

Group

The type of the principal. Additional principal types may be added over time.

GroupType

The type of the group. Additional group types may be added over time.

Value Description
Unknown

Principal group type is unknown.

SecurityGroup

Principal is a security group.

DistributionList

Principal is a distribution list.

PrincipalType

The type of the principal. Additional principal types may be added over time.

Value Description
User

Principal is a Microsoft Entra user principal.

ServicePrincipal

Principal is a Microsoft Entra service principal.

Group

Principal is a security group.

ServicePrincipalProfile

Principal is a service principal profile.

EntireTenant

Principal represents all tenant users.

ServicePrincipalDetails

Service principal specific details. Applicable when the principal type is ServicePrincipal.

Name Type Description
aadAppId

string (uuid)

The service principal's Microsoft Entra AppId.

ServicePrincipalPrincipal

Represents a Microsoft Entra service principal.

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

servicePrincipalDetails

ServicePrincipalDetails

Service principal specific details. Applicable when the principal type is ServicePrincipal.

type string:

ServicePrincipal

The type of the principal. Additional principal types may be added over time.

ServicePrincipalProfileDetails

Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.

Name Type Description
parentPrincipal Principal:

The service principal profile's parent principal.

ServicePrincipalProfilePrincipal

Represents a service principal profile.

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

servicePrincipalProfileDetails

ServicePrincipalProfileDetails

Service principal profile details. Applicable when the principal type is ServicePrincipalProfile.

type string:

ServicePrincipalProfile

The type of the principal. Additional principal types may be added over time.

UpdateAdminConnectionRoleAssignmentRequest

An update connection role assignment request payload.

Name Type Description
role

AssignableAdminConnectionRole

The connection role of the principal.

UserDetails

User principal specific details. Applicable when the principal type is User.

Name Type Description
userPrincipalName

string

The user principal name.

UserPrincipal

Represents a Microsoft Entra user principal.

Name Type Description
displayName

string

The principal's display name.

id

string (uuid)

The principal's ID.

type string:

User

The type of the principal. Additional principal types may be added over time.

userDetails

UserDetails

User principal specific details. Applicable when the principal type is User.